Bug 1540649 - pdns-3.4.11 CVE-2017-15091patch required
Summary: pdns-3.4.11 CVE-2017-15091patch required
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pdns
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Morten Stevens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-31 15:59 UTC by Brad House
Modified: 2018-02-17 20:20 UTC (History)
3 users (show)

Fixed In Version: pdns-3.4.11-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-17 20:20:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Brad House 2018-01-31 15:59:02 UTC
Description of problem:

Security scanners (e.g. Comodo's HackerGuardian) are now reporting PowerDNS 3.4.11 is susceptible to CVE-2017-15091.  After research, it appears the pdns-3.4.11-2.el7.x86_64.rpm  package does not include the necessary patch.

The patch is available here for 3.4.11:
https://downloads.powerdns.com/patches/2017-04/


Version-Release number of selected component (if applicable):
pdns-3.4.11-2

How reproducible:
N/A

Steps to Reproduce:
1. N/A
2.
3.

Actual results:
N/A

Expected results:
N/A

Additional info:
N/A

Comment 1 Fedora Update System 2018-02-01 19:06:18 UTC
pdns-3.4.11-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f09712d924

Comment 2 Fedora Update System 2018-02-02 18:24:53 UTC
pdns-3.4.11-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f09712d924

Comment 3 Fedora Update System 2018-02-17 20:20:23 UTC
pdns-3.4.11-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.